### Constructor

# Dex ThreadPool new

unstable since: 1.2

#### Declaration [src]

    DexThreadPool*
    dex_thread_pool_new (
      guint n_threads
    )

#### Description [src]

Creates a fixed-size pool of reusable operating system threads.

Available since: 1.2

#### Parameters

`n_threads`

  Type: `guint`

  The number of threads to create.

#### Return value

Type: `DexThreadPool`

A new `DexThreadPool`.

The caller of the function takes ownership of the data, and is responsible for freeing it.